package _VisualDVM.ProjectData.SapforData.Includes.Analysis;
import Common.Utils.Utils_;
import _VisualDVM.ProjectData.SapforData.FileObject;
import com.google.gson.annotations.Expose;

import javax.swing.*;
import java.util.List;
import java.util.Vector;
public class FileInfo extends FileObject {
    @Expose
    public List<Include> dependencies = new Vector<>();
    public FileInfo(String file_in) {
        super(file_in);
    }
    @Override
    public String getSelectionText() {
        return file;
    }
    public boolean isSelectionEnabled() {
        return false;
    }
    public ImageIcon GetDisabledIcon() {
        return Utils_.getIcon("/Common/icons/File.png");
    }
    public void SelectAllChildren(boolean select) {
        for (Include di : dependencies)
            di.Select(select);
    }
}
